Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class SecureCaller

    java.lang.Object
      org.mozilla.javascript.SecureCaller

    public abstract class SecureCaller

extends java.lang.Object

Author:
  Attila Szegedi

Constructor Summary
`SecureCaller()`

Method Summary
`abstract java.lang.Object` | `call(Callable callable, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureCaller

    public SecureCaller()

Method Detail

### call

    public abstract java.lang.Object call(Callable callable,
                                          Context cx,
                                          Scriptable scope,
                                          Scriptable thisObj,
                                          java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD